<link rel="import" href="../../polymer/polymer-element.html" />

<dom-module id="nuevo-pendiente">
    <template>
        <link rel="stylesheet" href="bulma.min.css" />
        <form class="field has-addons" on-submit="añadirPendiente">
            <p class="control is-expanded">
                <input
                    class="input is-rounded"
                    type="text"
                    placeholder="Nuevo pendiente..."
                    value="{{nuevoPendiente::input}}"
                />
            </p>
            <p class="control">
                <button class="button is-primary is-rounded" type="submit">Añadir</button>
            </p>
        </form>
    </template>

    <script>
        class NuevoPendiente extends Polymer.Element {
            static get is() {
                return "nuevo-pendiente";
            }
            static get properties() {
                return {
                    nuevoPendiente: {
                        type: String,
                        notify: true,
                    },
                };
            }
            añadirPendiente(e) {
                e.preventDefault();

                const nuevoPendiente = this.nuevoPendiente;
                this.nuevoPendiente = "";

                this.dispatchEvent(
                    new CustomEvent("pendiente", {
                        bubbles: true,
                        detail: nuevoPendiente,
                        composed: true,
                    })
                );
            }
        }

        window.customElements.define(NuevoPendiente.is, NuevoPendiente);
    </script>
</dom-module>
